## kpim6-eventviews 25.08.0

=== debian/changelog ===
kpim6-eventviews (4:25.08.0-0zneon+24.04+noble+release+build36) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 02:29:08 +0000

kpim6-eventviews (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:59:11 +0000

kpim6-eventviews (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:36:56 +0000

kpim6-eventviews (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:52:29 +0000

kpim6-eventviews (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:43:14 +0000

kpim6-eventviews (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:28:58 +0000

kpim6-eventviews (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:58:23 +0000

kpim6-eventviews (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:58:12 +0000

kpim6-eventviews (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:50:13 +0000

kpim6-eventviews (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:46:55 +0000

kpim6-eventviews (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:47:56 +0000

kpim6-eventviews (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:20:50 +0000

kpim6-eventviews (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:59:26 +0000

kpim6-eventviews (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:10:16 +0000

kpim6-eventviews (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:46:12 +0000

kpim6-eventviews (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:13:04 +0000

kpim6-eventviews (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:59:25 +0000

kpim6-eventviews (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:35:58 +0000

libkf5eventviews (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 15:41:45 +0000

libkf5eventviews (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:12:38 +0000

libkf5eventviews (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 17:13:32 +0000

libkf5eventviews (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:42:24 +0000

libkf5eventviews (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:09:28 +0000

libkf5eventviews (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:58:07 +0000

libkf5eventviews (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:26:02 +0000

libkf5eventviews (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:02:46 +0000

libkf5eventviews (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:10:49 +0000

libkf5eventviews (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:32:09 +0000

libkf5eventviews (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:04:05 +0000

libkf5eventviews (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:34:29 +0000

libkf5eventviews (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:22:30 +0000

libkf5eventviews (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:42:51 +0000

libkf5eventviews (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:40:42 +0000

libkf5eventviews (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:54:28 +0000

libkf5eventviews (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:01:03 +0000

libkf5eventviews (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:34 +0000

libkf5eventviews (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:09:09 +0000

libkf5eventviews (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:02 +0000

libkf5eventviews (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:27:22 +0000

libkf5eventviews (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:48:21 +0000

libkf5eventviews (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:00:38 +0000

libkf5eventviews (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:10 +0000

libkf5eventviews (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:19:16 +0000

libkf5eventviews (4:20.12.3-0neon) focal; urgency=medium

  * New release



## kpim6-eventviews 25.08.1

=== debian/changelog ===
kpim6-eventviews (4:25.08.1-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 21:56:26 +0000

kpim6-eventviews (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:24:06 +0000

## kpim6-eventviews 25.08.1+p24.04+vstable+git20250911.1319

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(eventviews VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    tests/*.cpp
    tests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)
include(ECMCheckOutboundLicense)
include(ECMAddQch)
option(
    BUILD_QCH
    "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
    OFF
)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "6.5.1")
set(AKONADI_LIB_VERSION "6.5.1")
set(AKONADICALENDAR_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(LIBKDEPIM_LIB_VERSION "6.5.1")
set(CALENDARSUPPORT_LIB_VERSION "6.5.1")

find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

set(KDIAGRAM_LIB_VERSION "3.0.0")
find_package(KGantt6 ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(
    KPim6CalendarSupport
    ${CALENDARSUPPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(
    KPim6AkonadiCalendar
    ${AKONADICALENDAR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfigVersion.cmake"
                        SOVERSION 6
)
option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

########### Targets ###########
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

ecm_set_disabled_deprecation_versions(QT 6.10.0
     KF 6.16.0
)
add_subdirectory(src)
if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(tests)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6EventViews")
if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6EventViews_QCH
        FILE KPim6EventViewsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS
        "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6EventViewsQchTargets.cmake\")"
    )
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimEventViewsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6EventViewsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6EventViewsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6EventViewsTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/src/eventviews_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/EventViews
    COMPONENT Devel
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(GLOB_RECURSE ALL_SOURCE_FILES src/*.cpp src/*.h tests/*.cpp tests/*.h)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kpim6-eventviews (4:25.08.1+p24.04+vstable+git20250911.1319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:19:17 +0000

## kpim6-eventviews 25.08.1+p24.04+vstable+git20250914.2206

=== debian/changelog ===
kpim6-eventviews (4:25.08.1+p24.04+vstable+git20250914.2206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 22:06:28 +0000

## kpim6-eventviews 25.08.2

=== debian/changelog ===
kpim6-eventviews (4:25.08.2-0zneon+24.04+noble+release+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:53:26 +0000

kpim6-eventviews (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:01:59 +0000

=== debian/control ===
Source: kpim6-eventviews
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kguiaddons-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemmodels-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-dev,
               kpim6-calendarsupport-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kmime-dev,
               kpim6-libkdepim-dev,
               libkgantt-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/eventviews.git
Vcs-Browser: https://invent.kde.org/neon/kde/eventviews
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-eventviews
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5eventviews5,
          libkf5eventviews5-data,
          libkf6eventviews6,
          libkf6eventviews6-data,
          libkpim6eventviews-data,
          libkpim6eventviews6
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

Package: kpim6-eventviews-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-extra-cmake-modules,
         kf6-kcalendarcore-dev,
         kpim6-akonadi-calendar-dev,
         kpim6-akonadi-dev,
         kpim6-calendarsupport-dev,
         kpim6-eventviews (= ${binary:Version}),
         kpim6-kcalendarutils-dev,
         ${misc:Depends}
Replaces: libkf5eventviews-dev, libkf6eventviews-dev, libkpim6eventviews-dev
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkpim6eventviews6
Architecture: all
Depends: kpim6-eventviews, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6eventviews-data
Architecture: all
Depends: kpim6-eventviews, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6eventviews-dev
Architecture: all
Depends: kpim6-eventviews-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6eventviews6
Architecture: all
Depends: kpim6-eventviews, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6eventviews-data
Architecture: all
Depends: kpim6-eventviews, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6eventviews-dev
Architecture: all
Depends: kpim6-eventviews-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5eventviews5
Architecture: all
Depends: kpim6-eventviews, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5eventviews-data
Architecture: all
Depends: kpim6-eventviews, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5eventviews-dev
Architecture: all
Depends: kpim6-eventviews-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-eventviews 25.08.2+p24.04+vstable+git20251016.0820

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vstable+git20251016.0820-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:20:26 +0000

## kpim6-eventviews 25.08.2+p24.04+vstable+git20251019.0845

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vstable+git20251019.0845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:45:44 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/eventviews-([\d.]+).tar.xz

## kpim6-eventviews 25.08.2+p24.04+vstable+git20251022.0018

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vstable+git20251022.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:18:23 +0000

## kpim6-eventviews 25.08.2+p24.04+vunstable+git20251015.2026

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vunstable+git20251015.2026-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:26:44 +0000

## kpim6-eventviews 25.08.2+p24.04+vunstable+git20251020.0733

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vunstable+git20251020.0733-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:33:51 +0000

## kpim6-eventviews 25.08.2+p24.04+vunstable+git20251021.0051

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -57,14 +57,14 @@
     ${BUILD_QCH}
     "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
 )
-
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.1")
-set(AKONADI_LIB_VERSION "6.5.1")
-set(AKONADICALENDAR_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.1")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(AKONADI_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
@@ -123,7 +123,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.16.0
+     KF 6.19.0
 )
 add_subdirectory(src)
 if(BUILD_TESTING)

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vunstable+git20251021.0051-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 00:51:09 +0000

## kpim6-eventviews 25.08.2+p24.04+vunstable+git20251022.0227

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-eventviews (4:25.08.2+p24.04+vunstable+git20251022.0227-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:28:00 +0000

## kpim6-eventviews 25.08.3

=== debian/changelog ===
kpim6-eventviews (4:25.08.3-0zneon+24.04+noble+release+build44) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 01:52:23 +0000

kpim6-eventviews (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:42:33 +1000

## kpim6-eventviews 25.08.3+p24.04+vstable+git20251208.0518

=== debian/changelog ===
kpim6-eventviews (4:25.08.3+p24.04+vstable+git20251208.0518-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 05:18:20 +0000

## kpim6-eventviews 25.08.3+p24.04+vunstable+git20251204.0314

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -59,12 +59,12 @@
 )
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.5.40")
-set(AKONADI_LIB_VERSION "6.5.40")
-set(AKONADICALENDAR_LIB_VERSION "6.5.40")
-set(KMIME_LIB_VERSION "6.5.40")
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
@@ -123,7 +123,7 @@
 endif()
 
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.19.0
+     KF 6.20.0
 )
 add_subdirectory(src)
 if(BUILD_TESTING)

=== debian/changelog ===
kpim6-eventviews (4:25.08.3+p24.04+vunstable+git20251204.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:14:15 +0000

## kpim6-eventviews 25.08.3+p24.04+vunstable+git20251206.1002

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-eventviews (4:25.08.3+p24.04+vunstable+git20251206.1002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 10:02:15 +0000

## kpim6-eventviews 25.12.0

=== debian/changelog ===
kpim6-eventviews (4:25.12.0-0zneon+24.04+noble+release+build45) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:01:05 +0000

kpim6-eventviews (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:38:56 +1000

## kpim6-eventviews 25.12.0+p24.04+vstable+git20251222.0713

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -59,12 +59,12 @@
 )
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "6.6.40")
-set(AKONADI_LIB_VERSION "6.6.40")
-set(AKONADICALENDAR_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(LIBKDEPIM_LIB_VERSION "6.6.40")
-set(CALENDARSUPPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.0")
+set(AKONADI_LIB_VERSION "6.6.0")
+set(AKONADICALENDAR_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(LIBKDEPIM_LIB_VERSION "6.6.0")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.0")
 
 find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)

## kpim6-eventviews 25.12.1

=== debian/changelog ===
kpim6-eventviews (4:25.12.1-0zneon+24.04+noble+release+build47) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:29:55 +0000

kpim6-eventviews (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:29:14 +1000

## kpim6-eventviews 25.12.1+p24.04+vstable+git20260130.1255

=== debian/changelog ===
kpim6-eventviews (4:25.12.1+p24.04+vstable+git20260130.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:55:45 +0000

## kpim6-eventviews 25.12.1+p24.04+vstable+git20260203.0850

=== debian/changelog ===
kpim6-eventviews (4:25.12.1+p24.04+vstable+git20260203.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:50:23 +0000

## kpim6-eventviews 25.12.2+p24.04+vunstable+git20260207.0433

=== debian/changelog ===
kpim6-eventviews (4:25.12.2+p24.04+vunstable+git20260207.0433-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 04:33:15 +0000

kpim6-eventviews (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 04:57:09 +0000
